<div class="mb-5 border-2 border-gray-100 shadow-lg p-5 pb-8">
    
    <p class="text-3xl">Gérer les posts</p>

    <div class="relative overflow-x-auto shadow-md sm:rounded-lg">
        <table mat-table [dataSource]="dataSource" class="w-full text-sm text-left text-gray-500 dark:text-gray-400">
            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef> Id</th>
                <td mat-cell *matCellDef="let post"> {{post.id}} </td>
              </ng-container>
            
              <!-- Name Column -->
              <ng-container matColumnDef="postTitle">
                <th mat-header-cell *matHeaderCellDef> Titre </th>
                <td mat-cell *matCellDef="let post"> {{post.postTitle}} </td>
              </ng-container>
            
              <!-- Weight Column -->
              <ng-container matColumnDef="createdAt">
                <th mat-header-cell *matHeaderCellDef> Création </th>
                <td mat-cell *matCellDef="let post"> {{post.createdAt}} </td>
              </ng-container>
            
              <!-- Symbol Column -->
              <!-- <ng-container matColumnDef="symbol">
                <th mat-header-cell *matHeaderCellDef> Suppresion </th>
                <td mat-cell *matCellDef="let element"> {{element.symbol}} </td>
              </ng-container> -->
            
              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>

   
  </div>

